Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

View Geolocation information

Prev Next

Available in Classic and VPC

View GeoLocation information.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET /gtm/v1/maps/geolocation

Request headers

For information about the headers common to all Geo/CIDR map APIs, see Geo/CIDR map API request headers.

Request example

The following is a sample request.

curl --location --request GET 'https://globaltrafficmanager.apigw.ntruss.com/gtm/v1/maps/geolocation' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

The following describes the response format.

Response body

See GeolocationList for the response body.

Response status codes

For information about the HTTP status codes common to all Geo/CIDR map APIs, see Geo/CIDR map API response status codes.

Response example

The following is a sample response.

[
    {
        "geoName": "Africa",
        "geoType": "CONTINENT",
        "childNodeList": [
            {
                "geoName": "Algeria",
                "geoType": "NATION",
                "childNodeList": [
                    {
                        "geoName": "Adrar",
                        "geoType": "CITY",
                        "childNodeList": []
                    },
                    {
                        "geoName": "Aïn Defla",
                        "geoType": "CITY",
                        "childNodeList": []
                    },
{...}
                ]
            }
        ]
    }
]